## kiwi 10.1.18

=== Makefile ===
buildroot = /
docdir = /usr/share/doc/packages
python_version = 3
python_lookup_name = python$(python_version)
python = $(shell which $(python_lookup_name))

LC = LC_MESSAGES

version := $(shell \
    $(python) -c \
    'from kiwi.version import __version__; print(__version__)'\
)

install_dracut:
	for dracut in dracut/modules.d/*; do \
		${MAKE} -C $$dracut install ;\
	done

install_package_docs:
	install -d -m 755 ${buildroot}${docdir}/python-kiwi
	install -m 644 LICENSE \
		${buildroot}${docdir}/python-kiwi/LICENSE
	install -m 644 README.rst \
		${buildroot}${docdir}/python-kiwi/README

install:
	# apart from python sources there are also
	# the manual pages and the completion
	# Note: These information will be missing when installed from pip
	# manual pages
	install -d -m 755 ${buildroot}usr/share/man/man8
	for man in doc/build/man/*.8; do \
		install -m 644 $$man ${buildroot}usr/share/man/man8 ;\
	done
	# completion
	install -d -m 755 ${buildroot}usr/share/bash-completion/completions
	$(python) helper/completion_generator.py \
		> ${buildroot}usr/share/bash-completion/completions/kiwi-ng
	# kiwi default configuration
	install -d -m 755 ${buildroot}etc
	install -m 644 kiwi.yml ${buildroot}etc/kiwi.yml
	# kiwi old XSL stylesheets for upgrade
	install -d -m 755 ${buildroot}usr/share/kiwi
	cp -a helper/xsl_to_v74 ${buildroot}usr/share/kiwi/

tox:
	tox -- "-n 5"

kiwi/schema/kiwi.rng: kiwi/schema/kiwi.rnc
	# whenever the schema is changed this target will convert
	# the short form of the RelaxNG schema to the format used
	# in code and auto generates the python data structures
	@type -p trang &>/dev/null || \
		(echo "ERROR: trang not found in path: $(PATH)"; exit 1)
	trang -I rnc -O rng kiwi/schema/kiwi.rnc kiwi/schema/kiwi.rng
	# XML parser code is auto generated from schema using generateDS
	# http://pythonhosted.org/generateDS
	# ---
	# a) modify arch-name xsd:token pattern to be generic because
	#    generateDS translates the regular expression into another
	#    expression which is different and wrong compared to the
	#    expression in the schema
	cat kiwi/schema/kiwi.rnc | sed -e \
		s'@arch-name = xsd:token.*@arch-name = xsd:token {pattern = ".*"}@' >\
		kiwi/schema/kiwi_modified_for_generateDS.rnc
	# convert schema rnc format into xsd format and call generateDS
	trang -I rnc -O xsd kiwi/schema/kiwi_modified_for_generateDS.rnc \
		kiwi/schema/kiwi_for_generateDS.xsd
	generateDS.py -f --external-encoding='utf-8' --no-dates --no-warnings \
		-o kiwi/xml_parse.py kiwi/schema/kiwi_for_generateDS.xsd
	rm kiwi/schema/kiwi_for_generateDS.xsd
	rm kiwi/schema/kiwi_modified_for_generateDS.rnc

obs_test_status:
	./.obs_test_status

valid:
	for i in `find build-tests test kiwi -name *.xml -o -name *.kiwi`; do \
		if [ ! -L $$i ];then \
			xsltproc -o $$i.converted kiwi/xsl/master.xsl $$i && \
			mv $$i.converted $$i ;\
		fi \
	done

git_attributes:
	# the following is required to update the $Format:%H$ git attribute
	# for details on when this target is called see setup.py
	git archive HEAD kiwi/version.py | tar -x

clean_git_attributes:
	# cleanup version.py to origin state
	# for details on when this target is called see setup.py
	git checkout kiwi/version.py

build: clean tox
	# build the sdist source tarball
	poetry build --format=sdist
	# provide rpm source tarball
	mv dist/kiwi-${version}.tar.gz dist/python-kiwi.tar.gz
	# update rpm changelog using reference file
	helper/update_changelog.py --since package/python-kiwi.changes --fix > \
		dist/python-kiwi.changes
	helper/update_changelog.py --file package/python-kiwi.changes >> \
		dist/python-kiwi.changes
	# update package version in spec file
	cat package/python-kiwi-spec-template | sed -e s'@%%VERSION@${version}@' \
		> dist/python-kiwi.spec
	# update package version in PKGBUILD file
	md5sums=$$(md5sum dist/python-kiwi.tar.gz | cut -d" " -f1); \
	cat package/python-kiwi-pkgbuild-template | sed \
		-e s'@%%VERSION@${version}@' \
		-e s"@%%MD5SUM@$${md5sums}@" > dist/PKGBUILD
	# provide rpm rpmlintrc
	cp package/python-kiwi-rpmlintrc dist
	# provide patches
	cp package/*.patch dist

pypi: clean tox
	poetry build --format=sdist
	poetry publish --repository=pypi


clean: clean_git_attributes
	rm -rf dist
	rm -rf doc/build
	rm -rf doc/dist

=== debian/changelog ===
kiwi (10.1.18-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    * d/control: Drop riscv64 as an architecture for kiwi-dracut-oem-dump,
      until kexec-tools are appropriately available on that architecture

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 06 Nov 2024 09:44:03 -0700

kiwi (10.1.18-1) unstable; urgency=medium

  * New upstream release (Closes: #1069389, #1085662)
  * Add pybuild-plugin-pyproject to Build-Depends in debian/control
  * Add python3-poetry to Build-Depends in debian/control
  * Remove python3-mock from Build-Depends in debian/control (Closes: #1072903)
  * Remove python3-testinfra from B-D in debian/control (Closes: #1085493)
  * Replace python3-docopt with python3-docopt-ng in B-D in debian/control
  * Add usr/share/kiwi/xsl_to_v74 directory to debian/kiwi.install
  * Remove kiwi-tools binary package from debian/control
  * Remove all files installed in debian/kiwi-tools.install
  * Stop building kiwi-tools binary package in debian/rules
  * Use pybuild with custom test command to run testsuite in debian/rules

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Nov 2024 15:41:17 +0100

=== debian/control ===
Source: kiwi
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               passwd,
               pybuild-plugin-pyproject,
               python3-all,
               python3-anymarkup,
               python3-docopt-ng,
               python3-lxml,
               python3-poetry,
               python3-pytest,
               python3-pyxattr,
               python3-requests,
               python3-setuptools,
               python3-simplejson,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-yaml
Standards-Version: 4.6.2
Homepage: https://osinside.github.io/kiwi
Vcs-Browser: https://salsa.debian.org/debian/kiwi
Vcs-Git: https://salsa.debian.org/debian/kiwi.git
Rules-Requires-Root: no

Package: kiwi
Architecture: any
Depends: debootstrap,
         screen,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends}
Description: Flexible OS Image and Appliance Builder
 The KIWI Image System provides an operating system image builder
 for Linux supported hardware platforms as well as for virtualization
 and cloud systems.

Package: kiwi-dracut-lib
Architecture: any
Depends: bc,
         btrfs-progs,
         cryptsetup,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         gdisk,
         lvm2,
         mdadm,
         parted,
         xz-utils,
         ${misc:Depends}
Description: KIWI - Dracut kiwi Library
 This package contains a collection of methods to provide a library
 for tasks done in other kiwi dracut modules.

Package: kiwi-dracut-oem-repart
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for oem(repart) image type
 This package contains the kiwi-repart dracut module which is
 used to repartition the oem disk image to the current disk
 geometry according to the setup in the kiwi image configuration.

Package: kiwi-dracut-oem-dump
Architecture: any
# Removing riscv64 from kexec-tools depends until LP: #1988966 is fixed
Depends: gawk, kexec-tools [!riscv64], kiwi-dracut-lib, kpartx, ${misc:Depends}
Description: KIWI - Dracut module for oem(install) image type
 This package contains the kiwi-dump and kiwi-dump-reboot dracut
 modules which is used to install an oem image onto a target disk.
 It implements a simple installer which allows for user selected
 target disk or unattended installation to target. The source of
 the image to install could be either from media (CD/DVD/USB) or
 from remote.

Package: kiwi-dracut-live
Architecture: any
Depends: dialog,
         dmsetup,
         dracut,
         dracut-network,
         e2fsprogs,
         parted,
         xfsprogs,
         xorriso,
         ${misc:Depends}
Description: KIWI - Dracut module for iso(live) image type
 This package contains the kiwi-live dracut module which is
 used for booting ISO (live) images built with KIWI.

Package: kiwi-dracut-overlay
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}
Description: KIWI - Dracut module for VMX (+overlay) image type
 This package contains the kiwi-overlay dracut module which is
 used for booting VMX images built with KIWI and configured to
 use an overlay root filesystem.

Package: kiwi-dracut-verity
Architecture: any
Depends: kiwi-dracut-lib, ${misc:Depends}, ${shlibs:Depends}
Description: KIWI - Dracut module for disks with embedded verity metadata
 This package contains the kiwi-verity dracut module which is used
 for booting OEM images built with KIWI and configured to use an
 embedded verity metadata block via the embed_verity_metadata
 type attribute.

Package: kiwi-systemdeps-core
Architecture: any
Depends: gnupg, mtools, openssl, rsync, ${misc:Depends}
Description: KIWI - Core host system dependencies
 This meta-package installs the necessary system dependencies
 to run KIWI.

Package: kiwi-systemdeps-bootloaders
Architecture: any
Depends: grub-coreboot-bin [amd64 i386 x32],
         grub-efi-amd64-bin [amd64 i386 x32],
         grub-efi-arm-bin [armel armhf],
         grub-efi-arm64-bin [arm64],
         grub-efi-ia32-bin [amd64 i386 x32],
         grub-efi-ia64-bin [ia64],
         grub-ieee1275-bin [amd64 i386 powerpc ppc64 ppc64el sparc64 x32],
         grub-pc-bin [amd64 i386 x32],
         grub-uboot-bin [armel armhf],
         grub-xen-bin [amd64 i386],
         grub-yeeloong-bin [mipsel],
         kiwi-systemdeps-core,
         s390-tools [s390x],
         ${misc:Depends}
Description: KIWI - host requirements for configuring bootloaders
 Host setup helper to pull in all packages required/useful on
 the build host for configuring bootloaders on images

Package: kiwi-systemdeps-containers
Architecture: any
Depends: buildah, skopeo, ${misc:Depends}
Description: KIWI - host requirements for container images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build container images such
 as docker.

Package: kiwi-systemdeps-iso-media
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-core,
         kiwi-systemdeps-filesystems,
         syslinux [amd64],
         xorriso,
         ${misc:Depends}
Description: KIWI - host requirements for live and install iso images
 Host setup helper to pull in all packages which are required or
 useful on the build host to build live and install iso images.

Package: kiwi-systemdeps-filesystems
Architecture: any
Depends: btrfs-progs,
         cryptsetup,
         dosfstools,
         e2fsprogs,
         gdisk,
         kiwi-systemdeps-core,
         kpartx,
         lvm2,
         parted,
         qemu-utils,
         squashfs-tools,
         xfsprogs,
         ${misc:Depends}
Description: KIWI - host requirements for filesystems
 Host setup helper to pull in all packages which are required or
 useful on the build host to build filesystem images.

Package: kiwi-systemdeps-disk-images
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - host requirements for disk images
 Host setup helper to pull in all packages which are required
 or useful on the build host to build disk images.

Package: kiwi-systemdeps
Architecture: any
Depends: kiwi-systemdeps-bootloaders,
         kiwi-systemdeps-containers,
         kiwi-systemdeps-core,
         kiwi-systemdeps-disk-images,
         kiwi-systemdeps-filesystems,
         kiwi-systemdeps-iso-media,
         ${misc:Depends}
Description: KIWI - Host system dependencies
 Host setup helper to pull in all packages which are required
 or useful to leverage all functionality in KIWI.

## kiwi 10.2.10

=== debian/changelog ===
kiwi (10.2.10-1) unstable; urgency=medium

  * New upstream release (Closes: #1095432)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 09 Feb 2025 20:34:57 +0100

kiwi (10.2.9-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 07 Feb 2025 16:20:04 +0100

kiwi (10.1.20-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 26 Nov 2024 22:26:22 +0100

## kiwi 10.2.26

=== debian/changelog ===
kiwi (10.2.26-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 01 Jul 2025 14:51:01 +0200

kiwi (10.2.24-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 31 May 2025 11:26:34 +0200

kiwi (10.2.22-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 18 May 2025 08:11:55 +0200

kiwi (10.2.16-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 29 Mar 2025 08:43:35 +0100

kiwi (10.2.13-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 06 Mar 2025 14:28:35 +0100

kiwi (10.2.12-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 28 Feb 2025 10:33:49 +0100

## kiwi 10.2.27

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 python_version = 3
 python_lookup_name = python$(python_version)
 python = $(shell which $(python_lookup_name))
+sc_disable = SC1091,SC1090,SC2001,SC2174,SC1117,SC2048,SC2004
 
 LC = LC_MESSAGES
 
@@ -42,9 +43,6 @@
 	# kiwi old XSL stylesheets for upgrade
 	install -d -m 755 ${buildroot}usr/share/kiwi
 	cp -a helper/xsl_to_v74 ${buildroot}usr/share/kiwi/
-
-tox:
-	tox -- "-n 5"
 
 kiwi/schema/kiwi.rng: kiwi/schema/kiwi.rnc
 	# whenever the schema is changed this target will convert
@@ -92,7 +90,49 @@
 	# for details on when this target is called see setup.py
 	git checkout kiwi/version.py
 
-build: clean tox
+setup:
+	poetry install --all-extras
+
+docs: setup
+	poetry run make -C doc man html
+
+docs_suse: setup
+	poetry run make -C doc xml
+	rm -rf doc/build/restxml
+	mv doc/build/xml doc/build/restxml
+	poetry run pip install \
+		git+https://github.com/openSUSE/rstxml2docbook.git@feature/kiwi
+	poetry run bash -c 'pushd doc && rstxml2docbook \
+		-v --no-split -o build/xml/book.xml build/restxml/index.xml'
+	bash -c 'mkdir -p doc/build/images/src/png && \
+		cp -a doc/source/.images/* doc/build/images/src/png'
+	cp doc/DC-kiwi doc/build/
+	bash -c 'pushd doc/build && daps -d DC-kiwi html'
+
+test_scripts: setup
+	poetry run bash -c \
+		'pip install pytest-container && pushd test/scripts && pytest -s -vv'
+
+check: setup
+	# shell code checks
+	bash -c 'shellcheck -e ${sc_disable} dracut/modules.d/*/*.sh -s bash'
+	bash -c 'shellcheck -e ${sc_disable} kiwi/config/functions.sh -s bash'
+	bash -c 'shellcheck build-tests.sh'
+	# python flake tests
+	poetry run flake8 --statistics -j auto --count kiwi
+	poetry run flake8 --statistics -j auto --count test/unit
+	poetry run flake8 --statistics -j auto --count test/scripts
+
+test: setup
+	# python static code checks
+	poetry run mypy kiwi
+	# unit tests
+	poetry run bash -c 'pushd test/unit && pytest -n 5 \
+		--doctest-modules --no-cov-on-fail --cov=kiwi \
+		--cov-report=term-missing --cov-fail-under=100 \
+		--cov-config .coveragerc'
+
+build: clean check test
 	# build the sdist source tarball
 	poetry build --format=sdist
 	# provide rpm source tarball
@@ -115,10 +155,12 @@
 	# provide patches
 	cp package/*.patch dist
 
-pypi: clean tox
+prepare_for_pypi: clean setup
+	# documentation render and tests
+	poetry run make -C doc man
+	# sdist tarball, the actual publishing happens via the
+	# ci-publish-to-pypi.yml github action
 	poetry build --format=sdist
-	poetry publish --repository=pypi
-
 
 clean: clean_git_attributes
 	rm -rf dist

=== debian/changelog ===
kiwi (10.2.27-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 14 Jul 2025 11:28:26 +0200

## kiwi 10.2.28

=== dracut/modules.d/80kiwi-verity/Makefile ===
buildroot ?= /

CROSS_COMPILE ?=
CC ?= $(CROSS_COMPILE)gcc
CFLAGS += -Werror -Wall -Wextra

BINARY := kiwi-parse-verity

.PHONY: all
all: build

.PHONY: install
install: build
	install -Dm0755 \
		kiwi-verity-setup.sh kiwi-veritytab-setup.sh module-setup.sh \
		-t ${buildroot}usr/lib/dracut/modules.d/80kiwi-verity
	install -Dm0755 $(BINARY) ${buildroot}usr/bin/$(BINARY)

.PHONY: build
build: $(BINARY)

.PHONY: clean
clean:
	rm -f $(BINARY)

=== dracut/modules.d/90kiwi-dump/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/90kiwi-dump
	cp -a * ${buildroot}usr/lib/dracut/modules.d/90kiwi-dump

=== dracut/modules.d/90kiwi-overlay/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/90kiwi-overlay
	cp -a * ${buildroot}usr/lib/dracut/modules.d/90kiwi-overlay

=== dracut/modules.d/90kiwi-repart/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/90kiwi-repart
	cp -a * ${buildroot}usr/lib/dracut/modules.d/90kiwi-repart

=== dracut/modules.d/99kiwi-dump-reboot/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/99kiwi-dump-reboot
	cp -a * ${buildroot}usr/lib/dracut/modules.d/99kiwi-dump-reboot

=== debian/changelog ===
kiwi (10.2.28-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 24 Jul 2025 13:30:45 +0200

## kiwi 10.2.31

=== debian/changelog ===
kiwi (10.2.31-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Aug 2025 15:42:35 +0200

## kiwi 10.2.32

=== debian/changelog ===
kiwi (10.2.32-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 16 Aug 2025 12:30:17 +0200

## kiwi 10.2.33

=== Makefile ===
--- 
+++ 
@@ -115,6 +115,7 @@
 
 check: setup
 	# shell code checks
+	find build-tests -name config.sh | xargs shellcheck
 	bash -c 'shellcheck -e ${sc_disable} dracut/modules.d/*/*.sh -s bash'
 	bash -c 'shellcheck -e ${sc_disable} kiwi/config/functions.sh -s bash'
 	bash -c 'shellcheck build-tests.sh'

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -W -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spell      to run spell-checking"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kiwi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kiwi.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kiwi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kiwi"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: spell
spell:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell-checking complete. Find results in $(BUILDDIR)/spelling."

=== dracut/modules.d/50kiwi-verity/Makefile ===
buildroot ?= /

CROSS_COMPILE ?=
CC ?= $(CROSS_COMPILE)gcc
CFLAGS += -Werror -Wall -Wextra

BINARY := kiwi-parse-verity

.PHONY: all
all: build

.PHONY: install
install: build
	install -Dm0755 \
		kiwi-verity-setup.sh kiwi-veritytab-setup.sh module-setup.sh \
		-t ${buildroot}usr/lib/dracut/modules.d/50kiwi-verity
	install -Dm0755 $(BINARY) ${buildroot}usr/bin/$(BINARY)

.PHONY: build
build: $(BINARY)

.PHONY: clean
clean:
	rm -f $(BINARY)

=== dracut/modules.d/55kiwi-dump/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-dump
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-dump

=== dracut/modules.d/55kiwi-live/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-live
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-live

=== dracut/modules.d/55kiwi-overlay/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-overlay
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-overlay

=== dracut/modules.d/55kiwi-repart/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/55kiwi-repart
	cp -a * ${buildroot}usr/lib/dracut/modules.d/55kiwi-repart

=== dracut/modules.d/59kiwi-dump-reboot/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/59kiwi-dump-reboot
	cp -a * ${buildroot}usr/lib/dracut/modules.d/59kiwi-dump-reboot

=== dracut/modules.d/59kiwi-lib/Makefile ===
buildroot = /

install:
	install -d -m 755 ${buildroot}usr/lib/dracut/modules.d/59kiwi-lib
	cp -a * ${buildroot}usr/lib/dracut/modules.d/59kiwi-lib

=== debian/changelog ===
kiwi (10.2.33-1) unstable; urgency=medium

  * New upstream release
  * Rename kiwi scripts in install files in debian directory
    - 99kiwi-lib to 59kiwi-lib in kiwi-dracut-lib.install
    - 90kiwi-live to 55kiwi-live in kiwi-dracut-live.install
    - 90kiwi-dump to 55kiwi-dump in kiwi-dracut-oem-dump.install
    - 99kiwi-dump-reboot to 59kiwi-dump-reboot in kiwi-dracut-oem-dump.install
    - 90kiwi-repart to 55kiwi-repart in kiwi-dracut-oem-repart.install
    - 90kiwi-overlay to 55kiwi-overlay in kiwi-dracut-overlay.install
    - 80kiwi-verity to 50kiwi-verity to kiwi-dracut-verity.install

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 21 Sep 2025 09:55:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kiwi
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Marcus Schäfer <marcus.schaefer@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -69,8 +68,7 @@
 
 Package: kiwi-dracut-oem-dump
 Architecture: any
-# Removing riscv64 from kexec-tools depends until LP: #1988966 is fixed
-Depends: gawk, kexec-tools [!riscv64], kiwi-dracut-lib, kpartx, ${misc:Depends}
+Depends: gawk, kexec-tools, kiwi-dracut-lib, kpartx, ${misc:Depends}
 Description: KIWI - Dracut module for oem(install) image type
  This package contains the kiwi-dump and kiwi-dump-reboot dracut
  modules which is used to install an oem image onto a target disk.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='cd test/unit && pytest-3'

override_dh_auto_build:
	dh_auto_build
	make -C doc man

override_dh_auto_install:
	make buildroot=$(CURDIR)/debian/tmp/ install install_dracut
	dh_auto_install
	rm -f debian/tmp/usr/bin/kiwicompat

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## kiwi 10.2.36

=== debian/changelog ===
kiwi (10.2.36-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 07 Jan 2026 15:34:42 +0100

## kiwi 10.2.38

=== Makefile ===
--- 
+++ 
@@ -110,8 +110,7 @@
 	bash -c 'pushd doc/build && daps -d DC-kiwi html'
 
 test_scripts: setup
-	poetry run bash -c \
-		'pip install pytest-container && pushd test/scripts && pytest -s -vv'
+	poetry run bash -c 'pushd test/scripts && sudo pytest -s -vv'
 
 check: setup
 	# shell code checks

=== debian/changelog ===
kiwi (10.2.38-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 Jan 2026 17:14:05 +0100

## kiwi 10.2.41

=== debian/changelog ===
kiwi (10.2.41-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 03 Feb 2026 12:56:48 +0100

## kiwi 10.2.42

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,14 @@
 docs: setup
 	poetry run make -C doc man html
 
+ghpages: setup
+	poetry run sphinx-build doc/source doc/build
+	poetry run pdoc kiwi \
+		'!kiwi.cli' '!kiwi.tasks' '!kiwi.builder' '!kiwi.xml_parse' \
+		'!kiwi.kiwi' '!kiwi.api_helper' \
+		--logo https://osinside.github.io/kiwi/_static/kiwi-logo.png \
+		--output-dir doc/build/api
+
 docs_suse: setup
 	poetry run make -C doc xml
 	rm -rf doc/build/restxml

=== debian/changelog ===
kiwi (10.2.42-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 07 Feb 2026 09:34:33 +0100
